<h1> Sign Up </h1>
<div style="margin-left:20px">
	<div class="fields">
		{{input class="input-field" value=name id="name" placeholder="Name"}}
		<label for="name">Name</label>
	</div>
	<div class="fields">
		{{input class="input-field" value=username id="username" placeholder="Username"}}
		<label for="username">Username</label>
	</div>

	<div class="fields">
		{{input pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" class="input-field" class="input-field" value=email id="email" placeholder="E-mail"}}
		<label for="email">E-mail</label>
	</div>
	<div class="fields">
		{{input class="input-field" type="password" value=password id="password" placeholder="Password"}}
		<label for="password">Password</label>
	</div>
	<div class="fields">
		{{input class="input-field" type="password" value=cpassword id="cpassword" placeholder="Confirm Password"}}
		<label for="cpassword">Confirm Password</label>
	</div>
	<div class="fields">
		<div style='margin: 15px'>
			<a> Role: </a>
			<input type="radio" name="role" value="Student"> <a> Student </a>
			<input type="radio" name="role" value="Teacher"> <a> Teacher </a>
		</div>
	</div>
</div>
<button class="btn styling" {{action (route-action 'submit' name role username email password cpassword)}}>submit</button>
	
{{outlet}}